package com.ruoyi.test.seriver;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.test.domain.Subject;
import com.ruoyi.test.domain.Vo.SubjectVo;

import java.util.List;

public interface ISubjectService {

    //学科全部查询
    IPage<Subject> selectAll(int pagenum);
    //查询符合对应年级的学科
    IPage<Subject> selectGrade(String Grade,int pagenum);
    //添加学科
    int addSubject(SubjectVo subjectVo);
}
